PDA

View Full Version : [ubuntu] PDO postgresql driver



karq
April 26th, 2011, 05:34 PM
Hey!

maybe someone can help, I'm trying to install PDO pgsql driver with pecl

When I run

sudo pecl install pdo_pgsql

Then I get this error:

configure: error: Cannot find php_pdo_driver.h.
ERROR: `/tmp/pear/temp/PDO_PGSQL/configure' failed

dtfinch
April 26th, 2011, 08:21 PM
You might need to install php5-dev (apt-get) first.

karq
April 26th, 2011, 09:10 PM
Php5-dev is installed.the problem is not there

dtfinch
April 27th, 2011, 07:15 AM
If you install php5-pgsql (https://launchpad.net/ubuntu/lucid/+package/php5-pgsql), that's supposed to include pdo_pgsql.

The page for the PECL PDO extension (http://pecl.php.net/package/PDO) says not to use the PECL version anymore, as PDO is now part of the core of php.

karq
April 27th, 2011, 09:14 AM
Thanks, that did the trick.